> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/wallets-management/get-wallet-details.md).

# Get Wallet Details

The API is utilized to retrieve wallet details and fetches comprehensive information by specifying the wallet ID.

<mark style="color:blue;">**`GET`**</mark> /payments/wallets/?id=\<wallet\_id>

**Body Parameters Request**

| Name | location | Type   | Description              | Required |
| ---- | -------- | ------ | ------------------------ | -------- |
| id   | url path | string | Wallet ID for retrieval. | Yes      |

**Body Parameters Response**

| id         | string             |                                   | the id of the wallet               |
| ---------- | ------------------ | --------------------------------- | ---------------------------------- |
| type       | string             |                                   | the type of entity (wallet)        |
| balance    | number             |                                   | The available amount in the wallet |
| funding    | Map(String,Object) |                                   | Account funding details            |
| owner      | string             |                                   | Legal entity id owning this wallet |
| state      | string             | DISABLED, REQUIRES\_INPUT, ACTIVE | current state of wallet            |
| user\_tags | object             |                                   |                                    |

**Request Example**

```
GET /payments/wallets/?id=f6b2776d-53f4-404e-a690-c3766a91d43a
```

**Response**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
   "id": "f6b2776d-53f4-404e-a690-c3766a91d43a",
   "currency": "USD",
   "name": "Demo USD Wallet",
   "type": "wallet",
   "owner": "entity://business/customer/demo:standalone:1709197789/legal/0d65c5cd-4896-45b9-b268-c431b82605af",
   "funding": {
      "name": "RONKIֹ LTD CMA - EUR",
      "country": "GB",
      "account_number": "UKNWBK60161529100024",
      "bic": "CHASGB2L",
      "iban": "UKNWBK60161529100024"
   },
   "balance": 120000,
   "user_tags": {
      "department": "sales"
   },
   "state": "ACTIVE"
}
```

{% endtab %}

{% tab title="405 - Method Not Allowed" %}

```json
{
   "error": "Method Not Allowed",
   "description": "Failed calling service",
   "error_code": 405,
   "sub_code": 1002,
   "error_info": {
      "timestamp": "2024-03-04T07:55:43.543Z",
      "status": 405,
      "error": "Method Not Allowed",
      "path": "/v1/"
   }
}
```

{% endtab %}
{% endtabs %}
